<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Field\ListField;
use Joomla\CMS\Factory;

class JFormFieldPaymentStatusSelector extends ListField
{
    /**
     * The field type.
     *
     * @var string
     */
    protected $type = 'paymentstatusselector';

    /**
     * Method to get a list of options for a list input.
     *
     * @return array An array of JHtml options.
     */
    public function getOptions()
    {
        $db = Factory::getDbo();
        $query = $db->getQuery(true);
        $query->select('DISTINCT(#__zonenationspay_transactions.payment_type) AS payment_type')
              ->from('#__zonenationspay_transactions')
              ->where('#__zonenationspay_transactions.payment_type IS NOT NULL')
              ->order('#__zonenationspay_transactions.payment_type');
        $db->setQuery($query);
        $paymentStatuses = $db->loadObjectList();

        $options = [];

        if ($paymentStatuses) {
            foreach ($paymentStatuses as $status) {
                $options[] = (object) [
                    'value' => $status->payment_type,
                    'text'  => $status->payment_type
                ];
            }
        }

        // Merge any additional options in the XML definition.
        $options = array_merge(parent::getOptions(), $options);

        return $options;
    }
}
