<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\Field\ListField;
use Joomla\CMS\Language\Text;

class JFormFieldPayoutStatusSelector extends ListField
{
    /**
     * The field type.
     *
     * @var string
     */
    protected $type = 'payoutstatusselector';

    /**
     * Method to get a list of options for a list input.
     *
     * @return array An array of JHtml options.
     */
    public function getOptions()
    {
        $values = $this->getValues();
        $options = [];

        foreach ($values as $value => $text) {
            $options[] = (object) [
                'value' => $value,
                'text'  => Text::_($text)
            ];
        }

        // Merge any additional options in the XML definition.
        $options = array_merge(parent::getOptions(), $options);

        return $options;
    }

    /**
     * Get the payout status values.
     *
     * @return array
     */
    public function getValues()
    {
        return [
            -2 => "COM_ZONENATIONSPAY_PAYOUTSTATUS_CANCELED",
            -1 => "COM_ZONENATIONSPAY_PAYOUTSTATUS_PENDING",
             0 => "COM_ZONENATIONSPAY_PAYOUTSTATUS_NEW",
             1 => "COM_ZONENATIONSPAY_PAYOUTSTATUS_APPROVED",
             2 => "COM_ZONENATIONSPAY_PAYOUTSTATUS_FINISHED"
        ];
    }
}
