<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;

class ZoneNationsPayViewRegionrent extends HtmlView
{
    public function display($tpl = null)
    {
        $wa = $this->document->getWebAssetManager();
        $wa->registerAndUseStyle('zonenationspay', 'administrator/components/com_zonenationspay/assets/zonenationspay.css');
        
        $this->setToolbar($tpl);
        parent::display($tpl);
    }

    protected function setToolbar($tpl)
    {
        switch($tpl) {
            case "editcss":
                ToolbarHelper::apply('applycss');
                ToolbarHelper::save('savecss');
                ToolbarHelper::cancel();
                break;
            case "csserror":
                ToolbarHelper::cancel();
                break;
            default:
                ToolbarHelper::title(Text::_('COM_ZONENATIONSPAY_CONTROL_PANEL'), 'zonenationspay');
                if (Factory::getUser()->authorise('core.admin', 'com_zonenationspay')) {
                    ToolbarHelper::preferences('com_zonenationspay', '700', '950', Text::_('COM_ZONENATIONSPAY_OPTIONS'));
                    // ToolbarHelper::custom('editcss', 'css', 'css_f2', 'ZONENATIONS_EDITCSS', false);
                }
                ToolbarHelper::help("", false, Text::_('ZONENATIONS_HELP'));
                break;
        }
    }
}