<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Form\FormHelper;

HTMLHelper::_('behavior.core');
HTMLHelper::_('behavior.chosen', 'select');

FormHelper::addFieldPath(JPATH_COMPONENT . '/fields');
$daterangeselector = FormHelper::loadFieldType('daterangeselector', $this->state->get('filter.daterange'));
$daterangeOptions = $daterangeselector->getOptions(); // works only if you set your field getOptions on public!!

$paymentstatusselector = FormHelper::loadFieldType('paymentstatusselector', $this->state->get('filter.paymentstatus'));
$paymentstatusOptions = $paymentstatusselector->getOptions();

?>
<div class="row">
    <div id="j-sidebar-container" class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="col-md-10">
        <h1><?php echo Text::_('COM_ZONENATIONSPAY_MENU_TRANSACTIONS'); ?></h1>
        <form action="<?php echo Route::_('index.php?option=com_zonenationspay'); ?>" method="post" name="adminForm" id="adminForm">
            <input type='hidden' name='view' value='transactions' />
            <div id="filter-bar" class="btn-toolbar">
                <div class="filter-search btn-group float-left">
                    <input type="text" name="filter_search" id="filter_search" class="form-control" placeholder="<?php echo Text::_('JSEARCH_FILTER'); ?>" value="<?php echo $this->escape($this->searchterms); ?>" title="<?php echo HTMLHelper::tooltipText('COM_ZONENATIONSPAY_SEARCH_TRANSACTIONS'); ?>" />
                </div>
                <div class="btn-group float-left">
                    <button type="submit" class="btn btn-primary" title="<?php echo HTMLHelper::tooltipText('JSEARCH_FILTER_SUBMIT'); ?>">
                        <span class="icon-search" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-secondary" title="<?php echo HTMLHelper::tooltipText('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.getElementById('filter_search').value='';this.form.submit();">
                        <span class="icon-remove" aria-hidden="true"></span>
                    </button>
                </div>
                <div class="btn-group float-right d-none d-md-block">
                    <label for="limit" class="visually-hidden"><?php echo Text::_('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC'); ?></label>
                    <?php echo $this->pagination->getLimitBox(); ?>
                </div>
                <div class="btn-group float-right d-none d-md-block">
                    <label for="filter_paymentstatus" class="visually-hidden">
                        <?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTIONS_FILTER_LABEL'); ?>
                    </label>
                    <select name="filter_paymentstatus" id="filter_paymentstatus" class="form-select" onchange="this.form.submit()">
                        <option value=""><?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTIONS_FILTER_SELECT_PAYMENTSTATUS'); ?></option>
                        <?php echo HTMLHelper::_('select.options', $paymentstatusOptions, 'value', 'text', $this->state->get('filter.paymentstatus'), true);?>
                    </select>
                </div>
                <div class="btn-group float-right d-none d-md-block">
                    <select name="filter_daterange" id="filter_daterange" class="form-select" onchange="this.form.submit()">
                        <option value=""><?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTIONS_FILTER_SELECT_DATERANGE'); ?></option>
                        <?php echo HTMLHelper::_('select.options', $daterangeOptions, 'value', 'text', $this->state->get('filter.daterange'));?>
                    </select>
                </div>
            </div>

            <table class="table table-striped table-hover">
                <thead><?php echo $this->loadTemplate('head');?></thead>
                <tbody><?php echo $this->loadTemplate('body');?></tbody>
                <tfoot><?php echo $this->loadTemplate('foot');?></tfoot>
            </table>
        </form>
    </div>
</div>