<?php
/*
 * @package Joomla 5
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
?>

<form action="<?php echo Route::_('index.php'); ?>" method="post" name="adminForm" id="adminForm">
    <input type='hidden' name='option' value='com_zonenationspay' />
    <input type='hidden' name='view' value='zonenationspay' />
    <input type='hidden' name='task' value='' />
    <?php echo HTMLHelper::_('form.token'); ?>
</form>

<h1><?php echo Text::_('COM_ZONENATIONSPAY_MENU_OVERVIEW'); ?></h1>

<?php if($this->newtransactions > 0 || $this->newpayouts > 0 || (is_array($this->unsolvedpayouts) && count($this->unsolvedpayouts) > 0)): ?>
    <ul class='zonenationspay_overviewlist'>
        <?php if($this->newtransactions > 0): ?>
            <li class='zonenationspay_overviewlistitem'>
                <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=transactions'); ?>'>
                    <?php echo Text::sprintf('COM_ZONENATIONSPAY_NEWTRANSACTIONS', "<span class='zonenationspay_overview_transactionnumber'>" . $this->newtransactions . "</span>"); ?>
                </a>
            </li>
        <?php endif; ?>
        
        <?php if($this->newpayouts > 0): ?>
            <li class='zonenationspay_overviewlistitem'>
                <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=payout'); ?>'>
                    <?php echo Text::sprintf('COM_ZONENATIONSPAY_NEWPAYOUTS', "<span class='zonenationspay_overview_payoutnumber'>" . $this->newpayouts . "</span>"); ?>
                </a>
            </li>
        <?php endif; ?>
        
        <?php if(is_array($this->unsolvedpayouts) && count($this->unsolvedpayouts) > 0): ?>
            <li class='zonenationspay_overviewlistitem'>
                <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=payout&filter.payoutstatus=unsolved'); ?>'>
                    <?php echo Text::_('COM_ZONENATIONSPAY_UNSOLVEDPAYOUTS'); ?>:
                </a>
            </li>
            <ul class='zonenationspay_overviewlist2'>
                <?php foreach($this->unsolvedpayouts as $unsolved): ?>
                    <li class='zonenationspay_overviewlistitem2'>
                        <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=payout&filter.payoutstatus=' . $unsolved->filter); ?>'>
                            <span class='zonenationspay_overview_unsolvednumber'><?php echo $unsolved->anzahl; ?></span> <?php echo Text::_($unsolved->payoutstatus); ?>
                        </a>
                    </li>
                <?php endforeach; ?>
            </ul>
        <?php endif; ?>
    </ul>
<?php endif; ?>