<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.core');
HTMLHelper::_('stylesheet', 'com_zonenationspay/zonenationspay.css', ['version' => 'auto', 'relative' => true]);
?>

<div class="zonenationspay-limit-day<?php echo $this->pageclass_sfx; ?>">
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header">
            <h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
        </div>
    <?php endif; ?>

    <h2><?php echo Text::_('COM_ZONENATIONSPAY_BUY_IWC'); ?></h2>
    
    <div class="alert alert-warning">
        <?php echo Text::_('COM_ZONENATIONSPAY_ERROR_USERLIMIT_DAY'); ?>
    </div>

    <?php if (isset($this->daily_limit)) : ?>
        <p>
            <?php echo Text::sprintf('COM_ZONENATIONSPAY_DAILY_LIMIT_INFO', $this->daily_limit, $this->currency); ?>
        </p>
    <?php endif; ?>

    <?php if ($this->params->get('show_return_link', 1)) : ?>
        <div class="btn-group">
            <a href="<?php echo $this->return_link; ?>" class="btn btn-secondary">
                <span class="icon-chevron-left" aria-hidden="true"></span>
                <?php echo Text::_('COM_ZONENATIONSPAY_RETURN_TO_PROFILE'); ?>
            </a>
        </div>
    <?php endif; ?>
</div>


