<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.core');
HTMLHelper::_('stylesheet', 'com_zonenationspay/zonenationspay.css', ['version' => 'auto', 'relative' => true]);
?>

<div class="zonenationspay-success<?php echo $this->pageclass_sfx; ?>">
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header">
            <h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
        </div>
    <?php endif; ?>

    <h2><?php echo Text::_('COM_ZONENATIONSPAY_BUY_IWC'); ?></h2>
    
    <div class="alert alert-success">
        <?php echo $this->successtext; ?>
    </div>

    <?php if ($this->params->get('show_transaction_details', 1)) : ?>
        <div class="zonenationspay-transaction-details mt-4">
            <h3><?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTION_DETAILS'); ?></h3>
            <table class="table table-striped">
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTION_ID'); ?></th>
                    <td><?php echo $this->transaction_id; ?></td>
                </tr>
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_AMOUNT'); ?></th>
                    <td><?php echo $this->amount . ' ' . $this->currency; ?></td>
                </tr>
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_IWC_AMOUNT'); ?></th>
                    <td><?php echo $this->iwc_amount . ' ' . $this->params->get('inworld_currency_name', 'IWC'); ?></td>
                </tr>
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTION_DATE'); ?></th>
                    <td><?php echo HTMLHelper::_('date', $this->transaction_date, Text::_('DATE_FORMAT_LC2')); ?></td>
                </tr>
            </table>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_inworld_instructions', 1)) : ?>
        <div class="zonenationspay-inworld-instructions mt-4">
            <h3><?php echo Text::_('COM_ZONENATIONSPAY_INWORLD_INSTRUCTIONS'); ?></h3>
            <p><?php echo Text::_('COM_ZONENATIONSPAY_INWORLD_INSTRUCTIONS_DESC'); ?></p>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_return_link', 1)) : ?>
        <div class="zonenationspay-return-link mt-4">
            <a href="<?php echo $this->return_link; ?>" class="btn btn-primary">
                <?php echo Text::_('COM_ZONENATIONSPAY_RETURN_TO_PROFILE'); ?>
            </a>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_support_link', 1)) : ?>
        <div class="zonenationspay-support-link mt-4">
            <p><?php echo Text::_('COM_ZONENATIONSPAY_NEED_ASSISTANCE'); ?></p>
            <a href="<?php echo Route::_('index.php?option=com_contact&view=contact&id=' . $this->params->get('support_contact_id')); ?>" class="btn btn-secondary">
                <?php echo Text::_('COM_ZONENATIONSPAY_CONTACT_SUPPORT'); ?>
            </a>
        </div>
    <?php endif; ?>
</div>


