<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.keepalive');
HTMLHelper::_('behavior.formvalidator');
?>

<div class="zonenationspay-transactionlist-needlogin<?php echo $this->pageclass_sfx; ?>">
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header">
            <h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
        </div>
    <?php endif; ?>

    <h2><?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTIONLIST'); ?></h2>
    
    <div class="alert alert-warning">
        <?php echo Text::_('COM_ZONENATIONSPAY_ERROR_NEEDLOGIN_TRANSACTIONLIST'); ?>
    </div>

    <?php if ($this->params->get('show_login_form', 1)) : ?>
        <div class="zonenationspay-login-form mt-4">
            <?php
            $module = JModuleHelper::getModule('mod_login');
            $moduleParams = new JRegistry($module->params);
            $moduleParams->set('redirect', Route::_('index.php?option=com_zonenationspay&view=transactionlist'));
            echo JModuleHelper::renderModule($module, $moduleParams);
            ?>
        </div>
    <?php else : ?>
        <div class="zonenationspay-login-link mt-4">
            <a href="<?php echo Route::_('index.php?option=com_users&view=login&return=' . base64_encode(Route::_('index.php?option=com_zonenationspay&view=transactionlist', false))); ?>" class="btn btn-primary">
                <?php echo Text::_('COM_ZONENATIONSPAY_LOGIN'); ?>
            </a>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_registration_link', 1)) : ?>
        <div class="zonenationspay-registration-link mt-4">
            <p><?php echo Text::_('COM_ZONENATIONSPAY_NO_ACCOUNT'); ?></p>
            <a href="<?php echo Route::_('index.php?option=com_users&view=registration'); ?>" class="btn btn-secondary">
                <?php echo Text::_('COM_ZONENATIONSPAY_REGISTER'); ?>
            </a>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_return_link', 1)) : ?>
        <div class="zonenationspay-return-link mt-4">
            <a href="<?php echo $this->return_link; ?>" class="btn btn-link">
                <span class="icon-chevron-left" aria-hidden="true"></span>
                <?php echo Text::_('COM_ZONENATIONSPAY_RETURN_TO_HOMEPAGE'); ?>
            </a>
        </div>
    <?php endif; ?>
</div>

